#from gpiozero import LED
from time import sleep

# ------ zone de variables et/ou constantes -------
lumiere = 3
tempo = 2
clignote = 3

led_verte = "GPIO_5"
#led_verte = LED(5)       # broche 29
led_rouge = "GPIO_6"
#led_rouge = LED(6)       # broche 31
led_jaune = "GPIO_13"
#led_jaune = LED(13)      # broche 33

# -------- zone des fonctions ---------
# tant que i est inférieur à 3 (valeur de la variable clignote)
# la séquence :
#   "allumage pendant 2s (valeur de la variable lumiere) puis
#   "extinction pendant 4s (valeur de la variable tempo)"
#   "incrémentation de i
# est répetée.
# retour au programme principal

def led_v():
    i = 0
    while i < clignote:
        print("led_verte.on()")
        # led_verte.on()
        sleep(lumiere)
        print("allumée ")        
        print("led_verte.off()")
        # led_verte.off()
        sleep(tempo)
        print("éteinte ")
        i = i+1
        
# allumage led_rouge pendant 2s représenté par un compteur puis
# extinction led_rouge avec une tempo de 4s représenté par un compteur puis
# retour au programme principal
def led_r():                     
    print("led_rouge.on()")
    # led_rouge.on()
    for i in range(lumiere):     # sleep(lumiere)
        print("allumée ",i)       
    print("led_rouge.off()")
    # led_rouge.off()
    for i in range(tempo):       # sleep(tempo)
        print("éteinte ",i)

# allumage led_jaune pendant 2s (valeur de la variable lumiere) puis
# extinction led_jaune puis
# retour au programme principal
def led_j():
    print("led_jaune.on()")
    # led_jaune.on()
    sleep(lumiere)
    print("led_jaune.off()")
    # led_jaune.off()

def led_feux_tricolore():
    print("led_verte.on() 1")          # V-J-R  (1-0-0)
    # led_verte.on()
    print("led_jaune.off() 0")
    # led_jaune.off()
    print("led_rouge.off() 0")
    # led_rouge.off()
    i = 0
    while i < clignote:
        sleep(tempo*3)
        print("led_verte.off()0")     # V-J-R  (0-1-0)
#        led_verte.off()        
        print("led_jaune.on() 1")
#        led_jaune.on()
        sleep(lumiere)
        print("led_jaune.off() 0")     # V-J-R  (0-0-1)
#        led_jaune.off()
        print("led_rouge.on() 1")
#        led_rouge.on()
        sleep(tempo*3)
        print("led_jaune.on() 1")      # V-J-R  (0-1-1)
#        led_jaune.on()
        sleep(lumiere)    
        print("led_verte.on() 1")      # V-J-R  (1-1-1)
#        led_verte.on()    
        print("led_jaune.off() 0")     # V-J-R  (1-0-1)
#        led_jaune.off()    
        print("led_rouge.off() 0")     # V-J-R  (1-0-0)
#        led_rouge.off()
        i += 1
        
# Affichage du message "terminé" puis
# passage de la valeur 1 en retour au programme principal "return 1"
# cette valeur permet de sortir de la boucle "while 1" et ainsi finir programme
def fin():
    print(quit)
    quit()    

# retourne dans la boucle du programme principal tant que
# la valeur entrée est différente de celles attendues
def hors_domaine():
    print("Veuillez frapper 1, 2, 3, 4, ou 5, svp \n")
    
# ------- zone programme principal ----------------
# affectation à chaque étiquette d'une fonction donnée
# boucle continue tant que la valeur 1 est rencontrée
# entrée du choix de l'opérateur
# recherche dans le 'dictionnaire des fonctions' celle choisit par l'opérateur

dico_fct={1:led_v, 2:led_r, 3:led_j, 4:led_feux_tricolore, 5:fin} # chiffre=étiquette : txt=donnée

while True:
    choix = input("Choisisser le chiffre de la LED à allumer: \n "
                   "1: LED verte \n "
                   "2: LED rouge \n "
                   "3: LED jaune \n "
                   "4: LED feux tricolore \n "
                   "5: fin du programme   : ")
     
# seul les entiers sont acceptés. Sinon traitement de l'erreur par hors_domaine
    try:
        val_choix = int(choix)
        #if dico_fct.get(val_choix, hors_domaine)():  # aiguillage suivant choix
            print("fin du test") 
            break
    except ValueError:
        hors_domaine()