from time import sleep

# ------ zone de variables et/ou constantes -------
lumiere = 2
tempo = 2
a,b = 4, 6

msg = """Ce programme va:\n allumer une led rouge\n calculer une surface\n allumer une led verte
 calculer un périmètre\n calculer une nouvelle surface\n allumer une led jaune
 calculer une nouveau périmètre\n"""

led_verte = "GPIO_5"
led_rouge = "GPIO_6"
led_jaune = "GPIO_13"

# -------- zone des fonctions ---------
# tant que i est inférieur à 3 (valeur de la variable clignote)
# la séquence :
#   "allumage pendant 2s (valeur de la variable lumiere) puis
#   "extinction pendant 4s (valeur de la variable tempo)"
#   "incrémentation de i
# est répetée.
# retour au programme principal

def led_v(nfois):
    i = 0
    for i in range(nfois):
        print("led_verte.on()")
        sleep(lumiere)
        print("allumée fois:",i)        
        print("led_verte.off()")
        sleep(tempo)
        print("éteinte ")
               
def led_r(temps):                     
    print("led_rouge.on()")
    sleep(temps)
    for i in range(temps):     # sleep(lumiere)
        print("allumée ",i)       
    print("led_rouge.off()")
    for i in range(temps+3):   # sleep(tempo)
        print("éteinte ",i)

# allumage led_jaune pendant 2s (valeur de la variable lumiere) puis
# extinction led_jaune puis
# retour au programme principal
def led_j():
    print("led_jaune.on()")
    sleep(lumiere)
    print("led_jaune.off()")

def fin():
    print("Terminé")
    quit() 

def surface(longueur,largeur):
    X = longueur*largeur
    print("la surface = ", X)
    
def perimetre(longueur,largeur):
    X = 2*(longueur+largeur)
    return X

# ------- zone programme principal ----------------
# affectation à chaque étiquette d'une fonction donnée
# boucle continue tant que la valeur 1 est rencontrée
# entrée du choix de l'opérateur
# recherche dans le 'dictionnaire des fonctions' celle choisit par l'opérateur

print("Début du programme")
print(msg)

led_r(2)
surface(a,b)
led_v(3)
valeur = perimetre(a,b)
print("Le périmètre est égale à : ", valeur)
surface(a+2,b+3)
led_j()
new_val = perimetre(2*a,b+1)
print("Le nouveau périmètre est égale à : ", new_val)

fin()

     
